<section *ngIf="!emailSent" class="bg-white screen-width flex flex-col justify-center items-center mt-5 py-16">
	<div class="w-full mdCustom:w-1/3 p-6 shadow-cvbuilder-border flex flex-col justify-start items-start">
		<h1 class="text-2xl font-bold">{{ t.auth.login.title | translate }}</h1>
		<p class="text-xl text-bgTwo mb-6">{{ t.auth.login.description | translate }}</p>
		<label class="text-bgTwo">{{ t.auth.login.label | translate }}</label>
		<div class="base-to-draw w-full" [class.is-focused]="isFocused">
			<input
				type="email"
				id="cv-share-link"
				name="cv-share-link"
				class="w-full bg-almost-gray p-3"
				(focus)="isFocused = true"
				(blur)="isFocused = false"
				[(ngModel)]="email"
			/>
		</div>
		<p *ngIf="errors.emailExists" class="text-sm text-danger text-left">
			{{ t.auth.login.errors.emailExists | translate }}
		</p>
		<div class="mt-8 w-full flex flex-row justify-end items-center">
			<button class="transparent-btn px-4" (click)="location.back()">
				<span class="btn-text text-primary">
					{{ t.common.buttons.back | translate }}
				</span>
			</button>
			<button class="cta-primary-btn px-4 bg-primary" [disabled]="sending || !email" (click)="sendEmail()">
				<span class="btn-text text-white">
					{{ t.common.buttons.continue | translate }}
				</span>
			</button>
		</div>
		<div class="w-full flex justify-between flex-wrap items-center">
			<button class="google-btn ln-icon" (click)="getLinkedInLink()">Sign in with Linkedin</button>
			<blackbird-google-login (onGoogleResponse)="handleCredentialResponse($event)"></blackbird-google-login>
		</div>
		<div class="mt-6 w-full flex flex-row justify-start items-center">
			<p>
				{{ t.auth.login.question | translate }}
				<a [routerLink]="routes.auth.signup" class="text-secondary">
					{{ t.auth.login.ctaSignup | translate }}
				</a>
			</p>
		</div>
	</div>
</section>

<section *ngIf="emailSent" class="bg-white screen-width flex flex-col justify-center items-center mt-5 py-16">
	<div class="w-full mdCustom:w-1/3 p-6 shadow-cvbuilder-border flex flex-col justify-start items-start">
		<h1 class="text-2xl font-bold">{{ t.auth.emailSent.title | translate }}</h1>
		<p class="text-xl text-bgTwo mb-6" [innerHTML]="t.auth.emailSent.description | translate: { email: email }"></p>
	</div>
</section>
